From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/pgspecial/
Date: Sat, 1 Apr 2023 06:13:14 +0000 (UTC) [thread overview]
Message-ID: <1680329586.eedfee2e38000cdeb62e0ef43b26a76ed93f44b0.mgorny@gentoo> (raw)
commit: eedfee2e38000cdeb62e0ef43b26a76ed93f44b0
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Apr 1 05:12:53 2023 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Apr 1 06:13:06 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=eedfee2e
dev-python/pgspecial: Bump to 2.1.0
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/pgspecial/Manifest | 1 +
dev-python/pgspecial/pgspecial-2.1.0.ebuild | 57 +++++++++++++++++++++++++++++
2 files changed, 58 insertions(+)
diff --git a/dev-python/pgspecial/Manifest b/dev-python/pgspecial/Manifest
index bbe4a17b757c..0cb2253d4137 100644
--- a/dev-python/pgspecial/Manifest
+++ b/dev-python/pgspecial/Manifest
@@ -1 +1,2 @@
DIST pgspecial-2.0.1.gh.tar.gz 50181 BLAKE2B 6f3f9f8feba717c18d3985d80a432eb7d127c65f7436bfc792a44cb5d7aad08e6e3b931cc289a051fbfea43cd5d8d7db44ede6de89683d462d51635c5caf2e04 SHA512 e89e7cd0f7e849fe93b8e8e79e409ee73ba6c22f3d76279415f236184f732d12cdd8b6bb7722b24ec2bd665f3429c0bf4e6905cd24c9739aa78906b12f841f13
+DIST pgspecial-2.1.0.tar.gz 50495 BLAKE2B 981f5a01ef32090eae7d477d23476fd8dd2a5bd3a5f3781e990cdbd28ebb24e5176653b7c8f9a1b7f1f01888a5c8278568257a709a5337f8b0d9838bfba8a21a SHA512 5bbd53d21ad89698b6ca04c989aa1ed59f3b8adc9b876b5b7db35bca03b964f645df2af96d3ddf6e7718c8ee06953fcf8f3ca548e65d722eaf4ea0098fa126ad
diff --git a/dev-python/pgspecial/pgspecial-2.1.0.ebuild b/dev-python/pgspecial/pgspecial-2.1.0.ebuild
new file mode 100644
index 000000000000..3f8eac9c4b2d
--- /dev/null
+++ b/dev-python/pgspecial/pgspecial-2.1.0.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9..11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Python implementation of PostgreSQL meta commands"
+HOMEPAGE="
+ https://github.com/dbcli/pgspecial/
+ https://pypi.org/project/pgspecial/
+"
+
+LICENSE="BSD MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ >=dev-python/click-4.1[${PYTHON_USEDEP}]
+ >=dev-python/configobj-5.0.6[${PYTHON_USEDEP}]
+ >=dev-python/psycopg-3.0.10:0[${PYTHON_USEDEP}]
+ >=dev-python/sqlparse-0.1.19[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ >=dev-db/postgresql-8.1[server]
+ )
+"
+
+distutils_enable_tests pytest
+
+DOCS=( License.txt README.rst changelog.rst )
+
+EPYTEST_DESELECT=(
+ # assumes a very specific locale
+ tests/test_specials.py::test_slash_l
+ tests/test_specials.py::test_slash_l_pattern
+)
+
+src_test() {
+ local db=${T}/pgsql
+
+ initdb --username=postgres -D "${db}" || die
+ # TODO: random port
+ pg_ctl -w -D "${db}" start \
+ -o "-h '127.0.0.1' -p 5432 -k '${T}'" || die
+ psql -h "${T}" -U postgres -d postgres \
+ -c "ALTER ROLE postgres WITH PASSWORD 'postgres';" || die
+ createdb -h "${T}" -U postgres _test_db || die
+
+ distutils-r1_src_test
+
+ pg_ctl -w -D "${db}" stop || die
+}
next reply other threads:[~2023-04-01 6:13 UTC|newest]
Thread overview: 46+ messages / expand[flat|nested] mbox.gz Atom feed top
2023-04-01 6:13 Michał Górny [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-06-15 17:33 [gentoo-commits] repo/gentoo:master commit in: dev-python/pgspecial/ Michał Górny
2024-06-01 8:09 Michał Górny
2024-06-01 7:25 Arthur Zamarin
2024-05-16 3:42 Michał Górny
2023-11-30 14:44 Michał Górny
2023-11-30 14:22 Michał Górny
2023-11-30 14:21 Michał Górny
2023-11-30 13:20 Michał Górny
2023-10-30 18:10 Michał Górny
2023-06-03 17:45 Michał Górny
2023-05-03 5:20 Michał Górny
2023-05-02 20:11 Sam James
2023-03-16 18:13 Michał Górny
2022-07-12 7:32 Michał Górny
2022-07-12 0:01 Sam James
2022-07-12 0:01 Sam James
2022-06-18 6:47 Michał Górny
2022-06-05 5:36 Michał Górny
2022-06-04 7:42 Michał Górny
2022-06-04 7:42 Michał Górny
2022-04-17 16:54 Michał Górny
2022-04-17 8:07 Jakov Smolić
2022-03-16 10:06 Michał Górny
2021-06-24 8:20 Michał Górny
2021-06-24 4:26 Agostino Sarubbo
2021-05-22 9:30 Michał Górny
2021-05-22 9:30 Michał Górny
2021-05-22 7:58 Michał Górny
2021-03-25 21:35 Michał Górny
2021-03-25 21:29 Sam James
2021-02-13 8:14 Michał Górny
2020-11-04 7:34 Michał Górny
2020-11-04 1:02 Sam James
2020-11-02 11:19 Michał Górny
2020-10-13 10:01 Agostino Sarubbo
2020-10-13 9:26 Agostino Sarubbo
2020-09-30 9:28 Joonas Niilola
2020-09-30 7:54 Joonas Niilola
2020-08-30 8:18 Joonas Niilola
2020-03-28 11:59 Michał Górny
2020-02-05 17:59 Michał Górny
2019-12-13 13:49 Joonas Niilola
2019-11-30 7:50 Joonas Niilola
2019-07-07 13:30 Michał Górny
2019-07-07 13:30 Michał Górny
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1680329586.eedfee2e38000cdeb62e0ef43b26a76ed93f44b0.mgorny@gentoo \
--to=mgorny@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox